#!/bin/sh
script=iana-ip-special-registry-parser.py

process_xml()
{
	v=$1
	dir=$2
	in=iana-ip$v-special-registry.xml
	out=martians-$v-${dir%bound}.txt

	python3 "$script" "$dir" <"$in" >"$out"
}

process_xml v4 inbound
process_xml v4 outbound
process_xml v6 inbound
process_xml v6 outbound
