#!/bin/sh
# env
# Written in 2020 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.

printf "Content-type: text/plain\n\n"
case $QUERY_STRING in
magnet:*)
	transmission-remote -ne -a "$QUERY_STRING" 2>&1
	rc=$?
	if [ $rc -ne 0 ]; then
		printf "ERR: %d\n" $rc
	else
		printf "OK\n"
	fi
	exit $rc
	;;
*)
	printf "Invalid QUERY_STRING: %s\n" "$QUERY_STRING"
	exit 1
	;;
esac
